org.apache.pdfbox.preflight.process

## Class StreamValidationProcess

- java.lang.Object
- - org.apache.pdfbox.preflight.process.AbstractProcess
  - - org.apache.pdfbox.preflight.process.StreamValidationProcess

All Implemented Interfaces:
  ValidationProcess

    public class StreamValidationProcess
    extends AbstractProcess

### Constructor Summary

Constructors
Constructor and Description
`StreamValidationProcess()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `checkDictionaryEntries(PreflightContext context, org.apache.pdfbox.cos.COSStream streamObj)` Check dictionary entries.
`protected void` `checkFilters(org.apache.pdfbox.cos.COSStream stream, PreflightContext context)` This method checks if one of declared Filter is LZWdecode.
`void` `validate(PreflightContext ctx)`
`void` `validateStreamObject(PreflightContext context, org.apache.pdfbox.cos.COSBase cObj)`

### Methods inherited from class org.apache.pdfbox.preflight.process.AbstractProcess

`addFontError, addValidationError, addValidationErrors`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StreamValidationProcess

    public StreamValidationProcess()

### Method Detail

#### validate

    public void validate(PreflightContext ctx)
                  throws ValidationException

Throws:
  `ValidationException`

#### validateStreamObject

    public void validateStreamObject(PreflightContext context,
                                     org.apache.pdfbox.cos.COSBase cObj)

#### checkFilters

    protected void checkFilters(org.apache.pdfbox.cos.COSStream stream,
                                PreflightContext context)

This method checks if one of declared Filter is LZWdecode. If LZW is found, the result list is updated with an error code.

Parameters:
  `stream` - the stream to check.
  `context` - the preflight context.

#### checkDictionaryEntries

    protected void checkDictionaryEntries(PreflightContext context,
                                          org.apache.pdfbox.cos.COSStream streamObj)

Check dictionary entries. Only the Length entry is mandatory. In a PDF/A file, F, FFilter and FDecodeParms are forbidden

Parameters:
  `context` - the preflight context.
  `streamObj` - the stream to check.